package com.foreverwin.mesnac.dispatch.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.dispatch.dto.UserResourceDto;
import com.foreverwin.mesnac.dispatch.model.UserResource;
import com.foreverwin.mesnac.meapi.model.NwaUser;

import java.util.List;

/**
 * <p>
 * 员工资源对应表 服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-10
 */
public interface UserResourceService extends IService<UserResource> {

    List<NwaUser> findEmployeeList(String site, String resource);

    List<UserResource> findEnableList(String site, String resource, String user);

    List<UserResourceDto> findAll(String resource, String user);

    void saveAll(List<UserResourceDto> userResourceDtoList);
}