package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.foreverwin.mesnac.meapi.model.Bom;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-19
 */
@Repository
public interface BomMapper extends BaseMapper<Bom> {
    List<Bom> getBomByItem(@Param("site") String site, @Param("item") String item);
}