package com.foreverwin.mesnac.quality.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.quality.model.InspectionProject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 检验项目维护-主 服务类
 * </p>
 *
 * @author Robert
 * @since 2021-06-03
 */
public interface InspectionProjectService extends IService<InspectionProject> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionProject> selectPage(FrontPage<InspectionProject> frontPage, InspectionProject inspectionProject);

    List<InspectionProject> selectList(InspectionProject inspectionProject);

    String InspectProjectNoGenerationRules(InspectionProject inspectionProject);

    String findRevisionByCurrentRevision(String inspectProjectNo);

}