package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.ProdReadyTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 生产准备任务主表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-23
 */
public interface ProdReadyTaskService extends IService<ProdReadyTask> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ProdReadyTask> selectPage(FrontPage<ProdReadyTask> frontPage, ProdReadyTask prodReadyTask);

    List<ProdReadyTask> selectList(ProdReadyTask prodReadyTask);

    void createTask(String sfcDispatchBO, String dispatchStatus, String shopOrder, String sfc,String operation, String resrce, String stepId, String workCenter, String planStartTime);
}