package com.foreverwin.mesnac.equip.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.equip.model.ResourceInspectTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 设备检验任务表 服务类
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-06-10
 */
public interface ResourceInspectTaskService extends IService<ResourceInspectTask> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<ResourceInspectTask> selectPage(FrontPage<ResourceInspectTask> frontPage, ResourceInspectTask resourceInspectTask);

    List<ResourceInspectTask> selectList(ResourceInspectTask resourceInspectTask);
}