package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.model.Operation;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Robert
 * @since 2021-06-03
 */
public interface OperationService extends IService<Operation> {

    /**
     *  分页查询
     * @param page
     * @return
     */
    IPage<Operation> selectPage(Page<Operation> page, QueryWrapper<Operation> operation);

    List<Operation> selectList(Operation operation);
}